Book
Updates the logo of a book by uploading a new logo file to the blob storage and associating it with the specified book.
The method validates the input parameters, uploads the logo file to the blob storage, and sends a command to update the book's logo in the domain.
cURL
curl --request POST \
--url '/public-api/v1/Book/{bookId}/Logo' \
--header 'user-api-key: <api-key>' \
--header 'Content-Type: multipart/form-data'Authorizations
- user-api-keystringheader
User's API Key · apiKey
Path parameters
- bookIdstringrequired
The unique identifier of the book whose logo is being updated.
Body
multipart/form-data- LogoFilestringrequired
- SmallLogoFilestringrequired
Responses
OK